Scripts Python sous Buster

Python est le langage de prédilection du Raspberry Pi

Modérateurs : Francois, Manfraid

Avatar du membre
CDBI30
Messages : 37
Enregistré le : dim. 16 nov. 2014 17:43

Scripts Python sous Buster

Message par CDBI30 » sam. 7 mars 2020 14:45

J'ai un nouveau PI4 sous Buster pour essais qui fonctionne parfaitement
J'ai donc transféré mes programmes Python et plus rien ne fonctionne ???
impossible de faire un import de tkinter, matplotlib, psutil....etc
erreur "no module named xxxxx" alors que tout a été installé bien sûr
seul import os,sys fonctionne

Faut'il encore attendre que Buster soit au point?
J'ai 6 Raspis PI3B+ sous Stretch et jamais eu aucuns problèmes avec Python et les "import"
CDBI

dyox
Raspinaute
Messages : 660
Enregistré le : dim. 28 déc. 2014 15:28
Localisation : Le long de la côte, au dessus du pays des bigoudennes, aïe

Re: Scripts Python sous Buster

Message par dyox » sam. 7 mars 2020 15:09

Je ne comprends pas pourquoi vous incriminez Buster qui est une distribution alors que vous avez certainement un problème de version de Python. Cela fait 6 mois que Buster est sortie, on en aurait entendu parler !

Comme ça, je penserai que vos scripts sont écrits pour la version 2.7 et que Buster fait appel à la v3. Adaptez vos scripts en conséquence.

domi
Administrateur
Messages : 2782
Enregistré le : mer. 17 sept. 2014 18:12
Localisation : Seine et Marne

Re: Scripts Python sous Buster

Message par domi » sam. 7 mars 2020 16:14

Bonjour,

Pas entendu parler de ce problème, qui est je pense plus orienté Python, que distribution Buster.

Comme le dit Dyox, le problème de version Python par défaut est assez fréquent !
Passionné de Raspberry, Arduino, ESP8266, ESP32, et objets connectés :
Spécial débutant, concevez vous-même votre domotique DIY : https://www.youtube.com/c/DomoticDIY

mike913
Raspinaute
Messages : 158
Enregistré le : mar. 7 oct. 2014 09:46
Localisation : Morsang / Orge - Essonne
Contact :

Re: Scripts Python sous Buster

Message par mike913 » sam. 7 mars 2020 16:22

Bonjour,
La version 2.7 de python fonctionne aussi parfaitement sur buster, il faut peut-être installer les librairies qui te manques, je pense que les librairies dont tu parles ne font pas partie du python livré avec buster.
DS712+ 2x Western Digital WD10EADS-00L 1000 GB (SHR) - Firmware: DSM 6.1.6-15266
Raspberry - RFXTRX433 - Aeon Labs ZStick V2 - Domoticz
FreeBox v6
https://meteo.folcke.net
https://wiki.folcke.fr

Avatar du membre
CDBI30
Messages : 37
Enregistré le : dim. 16 nov. 2014 17:43

Re: Scripts Python sous Buster

Message par CDBI30 » sam. 7 mars 2020 17:48

Merci pour vos retours
mais je ne comprends pas car j'utilise Python3.5 sous Stretch depuis longtemps
Quand je veux ré-installer des librairies standards sous buster .....déjà installées
J'ai le même problème avec un PI3BP sous Buster
C'est donc bien buster qui est fautif, car le passage de Jessie à Stretch c'est fait sans problèmes
Je précise , installation neuve avec NOOBS et le nouveau Raspberry Manager
CDBI

Artemus24
Raspinaute
Messages : 546
Enregistré le : ven. 15 sept. 2017 19:15

Re: Scripts Python sous Buster

Message par Artemus24 » dim. 8 mars 2020 00:05

Salut à tous.

Il faut comprendre que si c'est la même distribution (RaspBian), ce ne sont pas les mêmes versions (Whezy, Jessie, stretch, buster).
Il peut exister des différences qui rendent non fonctionnel tel ou tel programme, surtout en ce qui concerne les aspects systèmes.
Voire des commandes qui deviennent obsolètes.

Quand vous développez une application sous Jessie, le mieux est de continuer avec Jessie.
Je ne vois pas ce que votre application gagnerait à migrer vers une autre version de votre distribution.
Sauf si vous appliquez les mises à jour à votre application.
CDBI30 a écrit :Faut'il encore attendre que Buster soit au point?
Buster est opérationnel depuis la sortie de la Raspberry Pi 4B en juin 2019.
Le problème vient de votre coté !
CDBI30 a écrit :J'ai 6 Raspis PI3B+ sous Stretch et jamais eu aucuns problèmes avec Python et les "import"
C'est normal car vous avez fait vos développements sous Stretch.

Avez-vous fait une mise à jour de la version buster qui est dans votre Noobs ?

@+
--> RPi0v1.3, RPi0W, Rpi3A+, Rpi3B+
--> Rpi0WH + Tuner TV HAT
--> RPi 2B + Joy-It I2C Serial 20x4 2004 LCD Module
--> RPi 2B + PIM273 Unicorn HAT HD 16x16 Leds RGB

jelopo
Raspinaute
Messages : 192
Enregistré le : mer. 11 oct. 2017 10:23

Re: Scripts Python sous Buster

Message par jelopo » dim. 8 mars 2020 08:15

Bonjour,

+1 @mike913.

Pour visualiser les libraires installées passer cette commande sous Python2 et Python3, les modules installés doivent bien se trouver dans l'un ou l'autre.

>>> help ('modules')


A+

mike913
Raspinaute
Messages : 158
Enregistré le : mar. 7 oct. 2014 09:46
Localisation : Morsang / Orge - Essonne
Contact :

Re: Scripts Python sous Buster

Message par mike913 » dim. 8 mars 2020 09:21

Bonjour,
CDBI30 a écrit :
sam. 7 mars 2020 17:48
C'est donc bien buster qui est fautif, car le passage de Jessie à Stretch c'est fait sans problèmes
Je précise , installation neuve avec NOOBS et le nouveau Raspberry Manager
Que vient vers NOOBS la dedans , il faut installer directement Raspbian sur la carte sans passer par NOOBS.
Au passage je te signale que dans BUSTER la version 3.5 de python a été remplacée par la version 3.7
Il serait intéressant de savoir ce que tu mets dans ton shebang .
Enfin les modules que tu cites sont disponibles dans la version 3.7 d'origine, à l'exception de matplotlib.
DS712+ 2x Western Digital WD10EADS-00L 1000 GB (SHR) - Firmware: DSM 6.1.6-15266
Raspberry - RFXTRX433 - Aeon Labs ZStick V2 - Domoticz
FreeBox v6
https://meteo.folcke.net
https://wiki.folcke.fr

Avatar du membre
CDBI30
Messages : 37
Enregistré le : dim. 16 nov. 2014 17:43

Re: Scripts Python sous Buster

Message par CDBI30 » dim. 8 mars 2020 13:17

Bon, petit résumé
J'ai fait 2 cartes SD neuves de Buster
l'une au moyen de NOOBS version 3.3.0
l'autre avec Raspberry pi manager
Les 2 me donnent les même messages d'erreur sur les "import"

Pourquoi changer d'OS ?
C'est comme rester sous Windows95 car des applications ont été écrites sous Win95 !!
pour être toujours au top et suivre les développements de ces petits fruits plein de ressources
de plus, sur la fondation, on ne propose pas le choix entre Wheezy, Jessie, Stretch, Buster.....It's always the last one
Charger des librairies me semble évident même en changeant d'OS (à part le TK devenu tk)
Mes programmes ont été écrits avec Geany et toujours suivi les progressions de Python 2.7...3...3.5

Zut, j'arrive pas à mettre la capture d'écran du message d'erreur...comment insérer une image ?

Je précise que matplotlib s'est très bien installé, mais "import matplotlib.gridspec as gridspec" ou "from tkinter import *" plantent
ainsi que tous les autre "imports"

Bon Dimanche
CDBI

dyox
Raspinaute
Messages : 660
Enregistré le : dim. 28 déc. 2014 15:28
Localisation : Le long de la côte, au dessus du pays des bigoudennes, aïe

Re: Scripts Python sous Buster

Message par dyox » dim. 8 mars 2020 13:27

de plus, sur la fondation, on ne propose pas le choix entre Wheezy, Jessie, Stretch, Buster.....It's always the last one
cadô, https://downloads.raspberrypi.org/

Pouvez-vous mettre les scripts ici ? On y verra plus clair.

Répondre

Retourner vers « Python »